curl --request PATCH \
--url https://api.cnap.tech/v1/clusters/{clusterId}/compute_settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"auto_scaling_enabled": true,
"max_machines": 50
}
'{
"error": {
"code": "not_found",
"message": "Resource not found",
"param": "name",
"suggestion": "Run `cnap clusters list` to see available clusters",
"details": "<unknown>"
}
}Controls auto-scaling behavior and machine limits for a cluster.
curl --request PATCH \
--url https://api.cnap.tech/v1/clusters/{clusterId}/compute_settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"auto_scaling_enabled": true,
"max_machines": 50
}
'{
"error": {
"code": "not_found",
"message": "Resource not found",
"param": "name",
"suggestion": "Run `cnap clusters list` to see available clusters",
"details": "<unknown>"
}
}Personal Access Token (cnap_pat_...) or OAuth2 JWT. Create tokens at https://cnap.tech/account/tokens
Cluster ID
Settings updated